import os.path as osp
import pandas as pd


class TestsConfig:
    """ CHANGE ONLY THESE TWO LINES
    """
    PATH_TO_DATA = '/home/coml/Documents/Victoria/data'  # Path to the data folder (in flores: /mnt/data1/perceptimatic/)
    DATASET_NAME = 'zerospeech'  # Name of the subset you want to Test
    NB_TESTS = 10

    """##########################  DO NOT MODIFY LINES BELOW  ##########################"""

    # Path to Human experimental data + contents
    HUMAN_EXP_PATH = osp.join(PATH_TO_DATA, DATASET_NAME, 'annotation_data',
                              DATASET_NAME + '_human_experimental_data.csv')
    HUMAN_EXP_DATA = pd.read_csv(HUMAN_EXP_PATH)
    HUMAN_EXP_NB_ROWS = HUMAN_EXP_DATA.count()[0]

    # Path to Stimuli + contents
    STIMULI_PATH = osp.join(PATH_TO_DATA, DATASET_NAME, 'annotation_data', DATASET_NAME + '_stimuli.csv')
    STIMULI_DATA = pd.read_csv(STIMULI_PATH)
    NB_STIMULI = STIMULI_DATA.count()[0]

    # Path to Triplets + contents
    TRIPLETS_PATH = osp.join(PATH_TO_DATA, DATASET_NAME, 'annotation_data', DATASET_NAME + '_triplets.csv')
    TRIPLETS_DATA = None  # to fill later
    # NB_TRIPLETS = TRIPLETS_DATA.count()[0]

    # IPA alphabet
    IPA = ['ʌ', 'ɑ:', 'æ', 'e', 'ə', 'ɜ:ʳ', 'ɪ', 'i:', 'ɒ', 'ɔ:', 'ʊ', 'u:', 'ai', 'aʊ',
           'ei', 'oʊ', 'ɔɪ', 'eəʳ', 'ɪəʳ', 'ʊəʳ', 'ɑ', 'b', 'd', 'f', 'g', 'h', 'j', 'k',
           'l', 'm', 'n', 'ŋ', 'p', 'r', 's', 'ʃ', 't', 'tʃ', 'θ', 'ð', 'v', 'w', 'z', 'ʒ',
           'ɛ', 'dʒ', 'i', 'a', 'ɔ', 'eɪ', 'ʁ', 'y', 'u', 'o', 'ɹ', 'ɲ', 'œ̃', 'ɡ', 'ɔ̃', 'ɑ̃',
           'ɛ̃', 'ø']


CFG = TestsConfig()
